Intel® X86 Encoder Decoder: Register Interface

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
Register Interface

## Functions
XED_DLL_EXPORT xed_reg_enum_t | xed_get_largest_enclosing_register (xed_reg_enum_t r)
| Returns the largest enclosing register for any kind of register; This is mostly useful for GPRs.
XED_DLL_EXPORT xed_reg_enum_t | xed_get_largest_enclosing_register32 (xed_reg_enum_t r)
| Returns the largest enclosing register for any kind of register; This is mostly useful for GPRs in 32b mode.
XED_DLL_EXPORT xed_uint32_t | xed_get_register_width_bits (xed_reg_enum_t r)
| Returns the width, in bits, of the named register.
XED_DLL_EXPORT xed_uint32_t | xed_get_register_width_bits64 (xed_reg_enum_t r)
| Returns the width, in bits, of the named register.
XED_DLL_EXPORT xed_reg_class_enum_t | xed_gpr_reg_class (xed_reg_enum_t r)
| Returns the specific width GPR reg class (like XED_REG_CLASS_GPR32 or XED_REG_CLASS_GPR64) for a given GPR register.
XED_DLL_EXPORT xed_reg_class_enum_t | xed_reg_class (xed_reg_enum_t r)
| Returns the register class of the given input register.

## Detailed Description

There are several functions that provide more information about the GPRs and the nesting of GPRs.

## Function Documentation

## ◆ xed_get_largest_enclosing_register()

XED_DLL_EXPORT xed_reg_enum_t xed_get_largest_enclosing_register | ( | xed_reg_enum_t | r | ) |

Returns the largest enclosing register for any kind of register; This is mostly useful for GPRs.

(64b mode assumed)

## ◆ xed_get_largest_enclosing_register32()

XED_DLL_EXPORT xed_reg_enum_t xed_get_largest_enclosing_register32 | ( | xed_reg_enum_t | r | ) |

Returns the largest enclosing register for any kind of register; This is mostly useful for GPRs in 32b mode.

## ◆ xed_get_register_width_bits()

XED_DLL_EXPORT xed_uint32_t xed_get_register_width_bits | ( | xed_reg_enum_t | r | ) |

Returns the width, in bits, of the named register.

32b mode

## ◆ xed_get_register_width_bits64()

XED_DLL_EXPORT xed_uint32_t xed_get_register_width_bits64 | ( | xed_reg_enum_t | r | ) |

Returns the width, in bits, of the named register.

64b mode.

## ◆ xed_gpr_reg_class()

XED_DLL_EXPORT xed_reg_class_enum_t xed_gpr_reg_class | ( | xed_reg_enum_t | r | ) |

Returns the specific width GPR reg class (like XED_REG_CLASS_GPR32 or XED_REG_CLASS_GPR64) for a given GPR register.

Or XED_REG_INVALID if not a GPR.

## ◆ xed_reg_class()

XED_DLL_EXPORT xed_reg_class_enum_t xed_reg_class | ( | xed_reg_enum_t | r | ) |

Returns the register class of the given input register.